import React from 'react';
import PropTypes from 'prop-types';

import { Consumer } from './context';
import Popper from './Popper';

var Content = function Content(_ref) {
  var title = _ref.title,
      children = _ref.children;
  return React.createElement(
    Consumer,
    null,
    function (_ref2) {
      var placement = _ref2.placement,
          referenceNode = _ref2.referenceNode,
          showContent = _ref2.showContent,
          onMouseEnter = _ref2.onMouseEnter,
          onMouseLeave = _ref2.onMouseLeave;
      return showContent ? React.createElement(
        Popper,
        {
          title: title,
          placement: placement,
          reference: referenceNode,
          onMouseEnter: onMouseEnter,
          onMouseLeave: onMouseLeave
        },
        children
      ) : null;
    }
  );
};

Content.propTypes = process.env.NODE_ENV !== "production" ? {
  title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  children: PropTypes.node.isRequired
} : {};

export default Content;